Bullet Collision Detection & Physics Library: btSequentialImpulseConstraintSolver.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
btSequentialImpulseConstraintSolver.cpp File Reference
`#include "btSequentialImpulseConstraintSolver.h"`
`#include "BulletCollision/NarrowPhaseCollision/btPersistentManifold.h"`
`#include "LinearMath/btIDebugDraw.h"`
`#include "LinearMath/btCpuFeatureUtility.h"`
`#include "LinearMath/btMinMax.h"`
`#include "BulletDynamics/ConstraintSolver/btTypedConstraint.h"`
`#include <new>`
`#include "LinearMath/btStackAlloc.h"`
`#include "LinearMath/btQuickprof.h"`
`#include "LinearMath/btAlignedObjectArray.h"`
`#include <string.h>`
`#include "BulletDynamics/Dynamics/btRigidBody.h"`
`#include <stdio.h>`
Include dependency graph for btSequentialImpulseConstraintSolver.cpp:

Go to the source code of this file.

## Functions
static btScalar | gResolveSingleConstraintRowGeneric_scalar_reference (btSolverBody &bodyA, btSolverBody &bodyB, const btSolverConstraint &c)
| This is the scalar reference implementation of solving a single constraint row, the innerloop of the Projected Gauss Seidel/Sequential Impulse constraint solver Below are optional SSE2 and SSE4/FMA3 versions.
static btScalar | gResolveSingleConstraintRowLowerLimit_scalar_reference (btSolverBody &bodyA, btSolverBody &bodyB, const btSolverConstraint &c)
static btScalar | gResolveSplitPenetrationImpulse_scalar_reference (btSolverBody &bodyA, btSolverBody &bodyB, const btSolverConstraint &c)
static btScalar | gResolveSplitPenetrationImpulse_sse2 (btSolverBody &bodyA, btSolverBody &bodyB, const btSolverConstraint &c)

## Variables
int | gNumSplitImpulseRecoveries = 0

## Function Documentation

## ◆ gResolveSingleConstraintRowGeneric_scalar_reference()

static btScalar gResolveSingleConstraintRowGeneric_scalar_reference | ( | btSolverBody & | bodyA,
|  | btSolverBody & | bodyB,
|  | const btSolverConstraint & | c
| ) |  |
| static

This is the scalar reference implementation of solving a single constraint row, the innerloop of the Projected Gauss Seidel/Sequential Impulse constraint solver Below are optional SSE2 and SSE4/FMA3 versions.

We assume most hardware has SSE2. For SSE4/FMA3 we perform a CPU feature check.

Definition at line 47 of file btSequentialImpulseConstraintSolver.cpp.

## ◆ gResolveSingleConstraintRowLowerLimit_scalar_reference()

static btScalar gResolveSingleConstraintRowLowerLimit_scalar_reference | ( | btSolverBody & | bodyA,
|  | btSolverBody & | bodyB,
|  | const btSolverConstraint & | c
| ) |  |
| static

Definition at line 79 of file btSequentialImpulseConstraintSolver.cpp.

## ◆ gResolveSplitPenetrationImpulse_scalar_reference()

static btScalar gResolveSplitPenetrationImpulse_scalar_reference | ( | btSolverBody & | bodyA,
|  | btSolverBody & | bodyB,
|  | const btSolverConstraint & | c
| ) |  |
| static

Definition at line 284 of file btSequentialImpulseConstraintSolver.cpp.

## ◆ gResolveSplitPenetrationImpulse_sse2()

static btScalar gResolveSplitPenetrationImpulse_sse2 | ( | btSolverBody & | bodyA,
|  | btSolverBody & | bodyB,
|  | const btSolverConstraint & | c
| ) |  |
| static

Definition at line 316 of file btSequentialImpulseConstraintSolver.cpp.

## Variable Documentation

## ◆ gNumSplitImpulseRecoveries

int gNumSplitImpulseRecoveries = 0

Definition at line 40 of file btSequentialImpulseConstraintSolver.cpp.